import { DbxCalendarStore } from './calendar.store';
import { MatButtonToggleChange } from '@angular/material/button-toggle';
import * as i0 from "@angular/core";
export declare class DbxCalendarBaseComponent<T> {
    readonly calendarStore: DbxCalendarStore<T>;
    readonly viewDate$: import("rxjs").Observable<Date>;
    readonly showTodayButton$: import("rxjs").Observable<boolean | undefined>;
    readonly canJumpToToday$: import("rxjs").Observable<boolean>;
    readonly isLookingAtMinimumDate$: import("rxjs").Observable<boolean>;
    readonly isLookingAtMaximumDate$: import("rxjs").Observable<boolean>;
    readonly hasMultiplePages$: import("rxjs").Observable<boolean>;
    readonly showPageButtons$: import("rxjs").Observable<boolean | import("dist/packages/util/src").MaybeNot>;
    readonly activeDayIsOpen$: import("rxjs").Observable<boolean>;
    readonly displayType$: import("rxjs").Observable<import("./calendar.store").CalendarDisplayType>;
    readonly viewDateSignal: import("@angular/core").Signal<Date>;
    readonly showTodayButtonSignal: import("@angular/core").Signal<boolean | undefined>;
    readonly canJumpToTodaySignal: import("@angular/core").Signal<boolean | undefined>;
    readonly isLookingAtMinimumDateSignal: import("@angular/core").Signal<boolean>;
    readonly isLookingAtMaximumDateSignal: import("@angular/core").Signal<boolean>;
    readonly hasMultiplePagesSignal: import("@angular/core").Signal<boolean>;
    readonly showPageButtonsSignal: import("@angular/core").Signal<boolean | import("dist/packages/util/src").MaybeNot>;
    readonly activeDayIsOpenSignal: import("@angular/core").Signal<boolean | undefined>;
    readonly displayTypeSignal: import("@angular/core").Signal<import("./calendar.store").CalendarDisplayType | undefined>;
    todayClicked(): void;
    firstPageButtonClicked(): void;
    nextButtonClicked(): void;
    previousButtonClicked(): void;
    lastPageButtonClicked(): void;
    typeToggleChanged(event: MatButtonToggleChange): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DbxCalendarBaseComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DbxCalendarBaseComponent<any>, "dbx-calendar-base", never, {}, {}, never, ["[controls]", "*"], true, never>;
}
